function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React, { useContext } from 'react';
import { ExcelContext } from "./index";
import { DataCompCxt } from "./DataComp";
// 承接组件，将context的值变成props传入
// 目的：使被承接页面可以使用React.memo做性能优化
// 原因：React.memo只能接收先后props变化
export default function Undertake(Comp) {
  return function (props) {
    var excelContext = useContext(ExcelContext);
    var dataCompCxt = useContext(DataCompCxt);
    return /*#__PURE__*/React.createElement(Comp, _extends({}, props, {
      excelCtx: excelContext,
      dataCtx: dataCompCxt
    }));
  };
}