export declare const personData: {
    rootNodeVOList: {
        nodeType: number;
        emp: null;
        org: {
            name: string;
            orgChain: string;
            orgId: string;
            parentOrgId: null;
            haveChildren: boolean;
            syncStatus: boolean;
        };
    }[];
    treeNodeVOList: ({
        nodeType: number;
        emp: null;
        org: {
            name: string;
            orgChain: string;
            orgId: string;
            parentOrgId: string;
            haveChildren: boolean;
            syncStatus: boolean;
            children: {
                emp: {
                    name: string;
                    orgChain: string;
                    empId: string;
                };
                nodeType: number;
                org: null;
            }[];
        };
    } | {
        nodeType: number;
        emp: null;
        org: {
            name: string;
            orgChain: string;
            orgId: string;
            parentOrgId: string;
            haveChildren: boolean;
            syncStatus: boolean;
            children?: undefined;
        };
    } | {
        nodeType: number;
        emp: null;
        org: {
            name: string;
            orgChain: string;
            orgId: string;
            parentOrgId: string;
            haveChildren: boolean;
            syncStatus: boolean;
            children: ({
                nodeType: number;
                emp: null;
                org: {
                    nodeType: number;
                    name: string;
                    orgChain: string;
                    orgId: string;
                    parentOrgId: string;
                    haveChildren: boolean;
                    syncStatus: boolean;
                    children: ({
                        nodeType: number;
                        emp: null;
                        org: {
                            nodeType: number;
                            name: string;
                            orgChain: string;
                            orgId: string;
                            parentOrgId: string;
                            haveChildren: boolean;
                            syncStatus: boolean;
                        };
                    } | {
                        nodeType: number;
                        emp: null;
                        org: {
                            name: string;
                            orgChain: string;
                            orgId: string;
                            parentOrgId: string;
                            haveChildren: boolean;
                            syncStatus: boolean;
                            nodeType?: undefined;
                        };
                    })[];
                };
            } | {
                nodeType: number;
                emp: null;
                org: {
                    name: string;
                    orgChain: string;
                    orgId: string;
                    parentOrgId: string;
                    haveChildren: boolean;
                    syncStatus: boolean;
                    nodeType?: undefined;
                    children?: undefined;
                };
            })[];
        };
    } | {
        nodeType: number;
        emp: {
            name: string;
            orgChain: string;
            empId: string;
        };
        org: null;
    })[];
};
export declare const searchDeptData: {
    orgChainVOList: {
        nodeType: number;
        orgChain: string;
        orgName: string;
        orgId: string;
        syncStatus: boolean;
        invalid: boolean;
        loseEffect: null;
        empName: null;
        empId: null;
    }[];
};
export declare const deptData: {
    rootNodeVOList: {
        nodeType: number;
        emp: null;
        org: {
            name: string;
            orgChain: string;
            orgId: string;
            parentOrgId: null;
            haveChildren: boolean;
            syncStatus: boolean;
        };
    }[];
    treeNodeVOList: {
        nodeType: number;
        emp: null;
        org: {
            name: string;
            orgChain: string;
            orgId: string;
            parentOrgId: string;
            haveChildren: boolean;
            syncStatus: boolean;
        };
    }[];
};
export declare const searchPersonData: {
    orgChainVOList: {
        nodeType: number;
        emp: {
            name: string;
            orgChain: string;
            empId: number;
        };
        org: null;
    }[];
};
